*BEFORE RUNNING THIS CODE BE SURE TO RUN THE FOLLOWING DO FILES:
*1. INFLATION AND EXCHANGE RATES
*2. VARIABLES
*3. IV AND MATCHING
*4. NON-RESPONSE WEIGHTS


*TABLE 3

*Bribe taxes and other costs

reg bribes aveinfl age export domestic state workers workersq  legal_* locat_* indust_* y_* c_*, noomitted vsquish

reg bribes aveinfl age export domestic state ibias workers workersq  legal_* locat_* indust_* y_* c_*, noomitted vsquish

reg bribes aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_*, noomitted vsquish

reg bribes aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonbresp], cluster(cicode) noomitted vsquish

reg bribes aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonbresp] if matchwt!=., cluster(cicode) noomitted vsquish

reg govcontrac aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nongcresp], cluster(cicode) noomitted vsquish

reg govcontrac aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nongcresp] if matchwt!=., cluster(cicode) noomitted vsquish

reg overdue aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonodresp], cluster(cicode) noomitted vsquish

reg overdue aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonodresp] if matchwt!=., cluster(cicode) noomitted vsquish

reg theftloss aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nontresp], cluster(cicode) noomitted vsquish

reg theftloss aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nontresp] if matchwt!=., cluster(cicode) noomitted vsquish


*TABLE 4
*Instrumental variables tests

ivreg2 bribes age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* (aveinfl = csinfl), first endog(aveinfl)

ivreg2 bribes age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* (aveinfl = csinfl) [pw = nonbresp], cluster(cicode) first endog(aveinfl)


*TABLE 5

*Business climate constraints

logit infrastr aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp], cluster(cicode) nolog noomitted vsquish

logit infrastr aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp] if matchwt!=., cluster(cicode) nolog noomitted vsquish

logit tax aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp], cluster(cicode) nolog noomitted vsquish

gen coresample=1 if e(sample)

logit tax aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp] if matchwt!=., cluster(cicode) nolog noomitted vsquish

logit regulats aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp], cluster(cicode)  nolog noomitted vsquish

logit regulats aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp] if matchwt!=., cluster(cicode) nolog noomitted vsquish

logit finance aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp], cluster(cicode) nolog noomitted vsquish

logit finance aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonicresp] if matchwt!=., cluster(cicode) nolog noomitted vsquish

logit monop aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonmoresp], cluster(cicode) nolog noomitted vsquish

logit monop aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonmoresp] if matchwt!=., cluster(cicode) nolog noomitted vsquish

logit collat aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* [pw = noncolresp], cluster(cicode) nolog noomitted vsquish

logit collat aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = noncolresp], cluster(cicode) nolog noomitted vsquish

reg c229d aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* [pw = nonc229dresp], cluster(cicode) noomitted vsquish

reg c229d aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonc229dresp], cluster(cicode) noomitted vsquish

reg c227j1 aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* [pw = nonc227jresp], cluster(cicode) noomitted vsquish

reg c227j1 aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonc227jresp], cluster(cicode) noomitted vsquish

reg c227j2 aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* [pw = nonc227jresp], cluster(cicode) noomitted vsquish

reg c227j2 aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonc227jresp], cluster(cicode) noomitted vsquish


*TABLE 6

*Costs of influence--labor and revenue

logit exlabr aveinfl age export domestic state crime workers workersq  caputil legal_* locat_* indust_* y_* c_* [pw = nonlresp], cluster(cicode) nolog noomitted vsquish

logit exlabr aveinfl age export domestic state crime workers workersq  caputil legal_* locat_* indust_* y_* c_* [pw = nonlresp] if matchwt!=., cluster(cicode) nolog noomitted vsquish

reg taxcompl aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonrresp], cluster(cicode) noomitted vsquish

reg taxcompl aveinfl age export domestic state crime workers workersq  legal_* locat_* indust_* y_* c_* [pw = nonrresp] if matchwt!=., cluster(cicode) noomitted vsquish


*TABLE 7
*Firm innovation

logit newprod aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* [pw = nonnpresp], cluster(cicode)  nolog noomitted vsquish

logit newprod aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonnpresp], cluster(cicode)  nolog noomitted vsquish

logit newplant aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* [pw = nonnpresp], cluster(cicode)  nolog noomitted vsquish

logit newplant aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonnpresp], cluster(cicode)  nolog noomitted vsquish

logit shutprod aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* [pw = nonnpresp], cluster(cicode)  nolog noomitted vsquish

logit shutprod aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonnpresp], cluster(cicode) nolog noomitted vsquish

logit shutplant aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* [pw = nonnpresp], cluster(cicode) nolog noomitted vsquish

logit shutplant aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonnpresp], cluster(cicode) nolog noomitted vsquish

logit RD aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* [pw = nonRDresp], cluster(cicode) nolog noomitted vsquish

logit RD aveinfl age export domestic state crime workers workersq caputil legal_* locat_* indust_* y_* c_* if matchwt!=. [pw = nonRDresp], cluster(cicode) nolog noomitted vsquish


*TABLE 8

*Productivity and investment

reg logY aveinfl workers logK age export domestic state legal_* locat_* indust_* y_* c_* [pw =  nonsresp], cluster(cicode) noomitted vsquish

reg logY aveinfl workers logK age export domestic state legal_* locat_* indust_* y_* c_* [pw =  nonsresp] if matchwt!=., cluster(cicode) noomitted vsquish

reg TFP aveinfl age export domestic state workers workersq legal_* locat_* indust_* y_* c_* [pw =  nonsresp], cluster(cicode) noomitted vsquish

reg TFP aveinfl age export domestic state workers workersq legal_* locat_* indust_* y_* c_* [pw =  nonsresp] if matchwt!=., cluster(cicode) noomitted vsquish

reg logrealsalegr aveinfl age export domestic state workers workersq legal_* locat_* indust_* y_* c_* [pw =  nonsresp], cluster(cicode) noomitted vsquish

reg logrealsalegr aveinfl age export domestic state workers workersq legal_* locat_* indust_* y_* c_* [pw =  nonsresp] if matchwt!=., cluster(cicode) noomitted vsquish

reg logI aveinfl age export domestic state workers workersq legal_* locat_* indust_* y_* c_* [pw = nonIresp], cluster(cicode) noomitted vsquish

reg logI aveinfl age export domestic state workers workersq legal_* locat_* indust_* y_* c_* [pw = nonIresp] if matchwt!=., cluster(cicode) noomitted vsquish

poisson inhoriz aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_*, nolog noomitted vsquish noconstant

poisson inhoriz aveinfl age export domestic state crime workers workersq legal_* locat_* indust_* y_* c_* if matchwt!=., nolog noomitted vsquish noconstant



*FIGURE 1 IS BASED ON SIMPLE TABLUATIONS

tab c244ba
tab c244bb
tab c244bc
tab c244bd

*FIGURE 2 IS BASED ON TWO-WAY TABULATIONS

tab c244ba c244bb
tab c244ba c244bc
tab c244ba c244bd


*FIGURE 3

gen zero = 0
replace zero = 1 if c244ba==0&c244bc==0&c244bb==0&c244bd==0
histogram aveinfl, width(0.3333) density kdenopts(biweight bw(1))
histogram aveinfl if zero==0, width(0.3333) kdensity kdenopts(biweight bw(1))



*TABLE 1

*Table 1a

pwcorr c244ba c244bb c244bc c244bd, sig

*for values on the diagonal
sum c244ba c244bb c244bc c244bd

*Table 1b

pwcorr aveinfl age exporter domestic state workers if coresample==1, sig


*TABLE 2

*Coresample derived from e(sample) from tax logit regression

sum aveinfl age export domestic state workers ibias crime lobby csinfl caputil bribes monop govcontrac overdue theftloss infrastr tax regulats finance monop collat c229d c227j1 c227j2 exlabr taxcompl newplant newprod shutplant shutprod RD logY logK TFP logrealsalegr logI inhoriz if coresample==1


